## apvlv 0.1.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6)

PROJECT (apvlv)

SET (PROJECT_MAJOR      "0")
SET (PROJECT_MINOR      "1")
SET (PROJECT_PATCH      "1")
SET (PACKAGE_VERSION "${PROJECT_MAJOR}.${PROJECT_MINOR}.${PROJECT_PATCH}")

IF (WIN32)
        ADD_DEFINITIONS (-DDOCDIR=".")
ELSE (WIN32)
        SET (SYSCONFDIR 
             "/etc"
             CACHE PATH
             "Directory for system configuration of apvlv [/etc]"
        )
        ADD_DEFINITIONS (-DSYSCONFDIR="${SYSCONFDIR}")

        SET (DOCDIR 
             "${CMAKE_INSTALL_PREFIX}/share/doc/apvlv"
             CACHE PATH
             "Directory for documentations of apvlv [PREFIX/share/doc/apvlv]"
        )
        ADD_DEFINITIONS (-DDOCDIR="${DOCDIR}")

        SET (MANDIR 
             "${CMAKE_INSTALL_PREFIX}/share/man"
             CACHE PATH
             "Directory for man page of apvlv [PREFIX/share/man]"
        )
ENDIF (WIN32)

ADD_DEFINITIONS (-DPACKAGE_NAME="apvlv"
                 -DPACKAGE_VERSION="${PACKAGE_VERSION}"
                 -DPACKAGE_BUGREPORT="Alf <naihe2010@gmail.com>"
                 -DRELEASE="rel"
)

FIND_PACKAGE (PkgConfig)
PKG_CHECK_MODULES (FREETYPE2 freetype2 REQUIRED)
PKG_CHECK_MODULES (GTK2 gtk+-2.0 REQUIRED)
PKG_CHECK_MODULES (GLIB2 glib-2.0 REQUIRED)
PKG_CHECK_MODULES (GTHREAD2 gthread-2.0 REQUIRED)
INCLUDE_DIRECTORIES (${FREETYPE2_INCLUDE_DIRS} 
                     ${GTK2_INCLUDE_DIRS} 
                     ${GLIB2_INCLUDE_DIRS} 
                     ${GTHREAD2_INCLUDE_DIRS})
LINK_DIRECTORIES (${FREETYPE2_LIBRARY_DIRS}
                  ${GTK2_LIBRARY_DIRS} 
                  ${GLIB2_LIBRARY_DIRS} 
                  ${GTHREAD2_LIBRARY_DIRS})

IF (WIN32)
        SET (POPPLER_DIR ${CMAKE_HOME_DIRECTORY}/win32/poppler-src)

        INCLUDE_DIRECTORIES (${POPPLER_DIR})
        LINK_DIRECTORIES (${CMAKE_BINARY_DIR}/poppler-build)
        SET (APVLV_REQ_LIBRARIES poppler.lib freetype.lib)

        ADD_SUBDIRECTORY (${POPPLER_DIR} ${CMAKE_BINARY_DIR}/poppler-build)
ELSE (WIN32)
        PKG_CHECK_MODULES (POPPLER poppler-glib REQUIRED)
        INCLUDE_DIRECTORIES (${POPPLER_INCLUDE_DIRS})
        LINK_DIRECTORIES (${POPPLER_LIBRARY_DIRS})
        SET (APVLV_REQ_LIBRARIES ${POPPLER_LIBRARIES})
ENDIF (WIN32)

OPTION (APVLV_WITH_DJVU "If build apvlv with djvu format support." ON)
IF (APVLV_WITH_DJVU)
        ADD_DEFINITIONS (-DHAVE_LIBDJVU)

        IF (WIN32)
                SET (DJVULIBRE_DIR ${CMAKE_HOME_DIRECTORY}/win32/djvulibre)

                INCLUDE_DIRECTORIES (${DJVULIBRE_DIR}/include)
                LINK_DIRECTORIES (${DJVULIBRE_DIR})
                SET (APVLV_REQ_LIBRARIES libdjvulibre.lib
                     ${APVLV_REQ_LIBRARIES})
        ELSE (WIN32)
                SET (APVLV_REQ_LIBRARIES -ldjvulibre
                     ${APVLV_REQ_LIBRARIES})
        ENDIF (WIN32)
ENDIF (APVLV_WITH_DJVU)

OPTION (APVLV_WITH_UMD "If build binary with umd format support." ON)
IF (APVLV_WITH_UMD)
        ADD_DEFINITIONS (-DHAVE_LIBUMD)

        IF (WIN32)
                SET (LIBUMD_DIR ${CMAKE_HOME_DIRECTORY}/win32/libumd-trunk)
                ADD_SUBDIRECTORY (${LIBUMD_DIR} ${CMAKE_BINARY_DIR}/libumd-build)

                INCLUDE_DIRECTORIES (${LIBUMD_DIR})
                LINK_DIRECTORIES (${CMAKE_BINARY_DIR}/libumd-build)
                SET (APVLV_REQ_LIBRARIES umd.lib zdll.lib
                     ${APVLV_REQ_LIBRARIES})
        ELSE (WIN32)
                SET (APVLV_REQ_LIBRARIES -lumd
                     ${APVLV_REQ_LIBRARIES})
        ENDIF (WIN32)
ENDIF (APVLV_WITH_UMD)

ADD_SUBDIRECTORY (src)

IF (WIN32)
        INSTALL (FILES apvlvrc.example DESTINATION "."
                 RENAME _apvlvrc)
        INSTALL (FILES apvlvrc.example Startup.pdf DESTINATION ".")
        INSTALL (DIRECTORY icons DESTINATION "." 
                 PATTERN ".svn" EXCLUDE)
        INSTALL (DIRECTORY ${CMAKE_HOME_DIRECTORY}/win32/poppler-data DESTINATION "." 
                 PATTERN ".svn" EXCLUDE)
ELSE (WIN32)
        INSTALL (FILES apvlvrc.example DESTINATION ${SYSCONFDIR}
                 RENAME apvlvrc)
        INSTALL (FILES apvlvrc.example Startup.pdf Startup.tex DESTINATION ${DOCDIR})
        INSTALL (DIRECTORY icons DESTINATION ${DOCDIR}
                 PATTERN ".svn" EXCLUDE)
        INSTALL (FILES apvlv.1 DESTINATION ${MANDIR}/man1)
ENDIF (WIN32)

SET (CPACK_PACKAGE_VENDOR "Alf")
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "apvlv - Alf's PDF/DJVU/UMD Viewer like Vim")
SET (CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_MAJOR})
SET (CPACK_PACKAGE_VERSION_MINOR ${PROJECT_MINOR})
SET (CPACK_PACKAGE_VERSION_PATCH ${PROJECT_PATCH})

IF (UNIX)
        SET (CPACK_SET_DESTDIR ON)
        SET (CPACK_PACKAGE_CONTACT "Alf <naihe2010@gmail.com>")
        SET (CPACK_GENERATOR RPM DEB)
        SET (CPACK_RPM_PACKAGE_REQUIRES "gtk2 >= 2.10.4")
        SET (CPACK_DEBIAN_PACKAGE_DEPENDS 
             "libpoppler-glib3 (>= 0.8.7-4), poppler-data (>= 0.2.0-2)")

        SET (CPACK_SOURCE_GENERATOR TGZ)
        SET (CPACK_SOURCE_IGNORE_FILES 
             ${CMAKE_BINARY_DIR} 
             ".svn" 
             "win32"
        )
ELSE (UNIX)
        SET (CPACK_GENERATOR NSIS)
        SET (CPACK_NSIS_CONTACT "Alf <naihe2010@gmail.com>")
        SET (CPACK_NSIS_EXTRA_INSTALL_COMMANDS "CreateShortCut '\$DESKTOP\\\\apvlv.lnk' '\$INSTDIR\\\\apvlv.exe'")
        SET (CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "Delete '\$DESKTOP\\\\gsftc.lnk'")
ENDIF (UNIX)

INCLUDE(CPack)

=== src/CMakeLists.txt ===
IF (WIN32)
        ADD_DEFINITIONS (-D_CRT_SECURE_NO_WARNINGS)
ELSE (WIN32)
        SET (CMAKE_CXX_FLAGS "-Wall -fno-strict-aliasing")

        OPTION (APVLV_ENABLE_DEBUG "If build binary with debug infomations." OFF)
        IF (APVLV_ENABLE_DEBUG)
                SET (CMAKE_CXX_FLAGS "-D_DEBUG -g ${CMAKE_CXX_FLAGS}")
        ELSE (APVLV_ENABLE_DEBUG)
                SET (CMAKE_CXX_FLAGS "-O2 ${CMAKE_CXX_FLAGS}")
        ENDIF (APVLV_ENABLE_DEBUG)
ENDIF (WIN32)

SET (HEADERS
     ApvlvCmds.hpp
     ApvlvCore.hpp
     ApvlvDir.hpp
     ApvlvDoc.hpp
     ApvlvFile.hpp
     ApvlvInfo.hpp
     ApvlvMenu.hpp
     ApvlvParams.hpp
     ApvlvUtil.hpp
     ApvlvView.hpp
     ApvlvWindow.hpp
)

SET (SOURCES
     ApvlvCmds.cpp
     ApvlvCore.cpp
     ApvlvDir.cpp
     ApvlvDoc.cpp
     ApvlvFile.cpp
     ApvlvInfo.cpp
     ApvlvMenu.cpp
     ApvlvParams.cpp
     ApvlvUtil.cpp
     ApvlvView.cpp
     ApvlvWindow.cpp
     main.cpp
)

ADD_EXECUTABLE (apvlv ${HEADERS} ${SOURCES})

TARGET_LINK_LIBRARIES (apvlv
                       ${GTK2_LIBRARIES} 
                       ${GLIB2_LIBRARIES} 
                       ${GTHREAD2_LIBRARIES}
                       ${APVLV_REQ_LIBRARIES}) 

IF (WIN32)
        ADD_DEPENDENCIES (apvlv poppler)
        IF (APVLV_WITH_UMD)
                ADD_DEPENDENCIES (apvlv umd)
        ENDIF (APVLV_WITH_UMD)
ENDIF (WIN32)

IF (WIN32)
        INSTALL (TARGETS apvlv DESTINATION .)
        FIND_FILE (LIBATK libatk-1.0-0.dll)
        FIND_FILE (LIBGIO libgio-2.0-0.dll)
        FIND_FILE (LIBCAIRO libcairo-2.dll)
        FIND_FILE (LIBPANGOCAIRO libpangocairo-1.0-0.dll)
        FIND_FILE (LIBPANGOFT2 libpangoft2-1.0-0.dll)
        FIND_FILE (LIBGDKPIXBUF libgdk_pixbuf-2.0-0.dll)
        FIND_FILE (LIBGDK libgdk-win32-2.0-0.dll)
        FIND_FILE (LIBGLIB libglib-2.0-0.dll)
        FIND_FILE (LIBGMODULE libgmodule-2.0-0.dll)
        FIND_FILE (LIBPANGO libpango-1.0-0.dll)
        FIND_FILE (LIBGTHREAD libgthread-2.0-0.dll)
        FIND_FILE (LIBPNG libpng14-14.dll)
        FIND_FILE (LIBGTK libgtk-win32-2.0-0.dll)
        FIND_FILE (LIBGOBJECT libgobject-2.0-0.dll)
        FIND_FILE (LIBPANGOWIN32 libpangowin32-1.0-0.dll)
        FIND_FILE (LIBZLIB1 zlib1.dll)
        FIND_FILE (FREETYPE6 freetype6.dll)
        INSTALL (FILES
                ${LIBATK}
                ${LIBGIO}
                ${LIBCAIRO}
                ${LIBPANGOCAIRO}
                ${LIBGDKPIXBUF}
                ${LIBGDK}
                ${LIBGLIB}
                ${LIBGMODULE}
                ${LIBPANGO}
                ${LIBGTHREAD}
                ${LIBPNG}
                ${LIBGTK}
                ${LIBGOBJECT}
                ${LIBPANGOFT2}
                ${LIBPANGOWIN32}
                ${LIBZLIB1}
                ${FREETYPE6}
                ${DJVULIBRE_DIR}/libdjvulibre.dll
                ${DJVULIBRE_DIR}/libjpeg.dll
                DESTINATION .)
ELSE (WIN32)
        INSTALL (TARGETS apvlv DESTINATION bin)
ENDIF (WIN32)

## apvlv 0.0.9.8

=== debian/changelog ===
apvlv (0.0.9.8-1ubuntu2) natty; urgency=low

  * Invert y coordinates in pagetext in 01_fix-poppler-1.14.1.patch
  * Add bug link to 01_fix-poppler-1.14.1.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 27 Feb 2011 12:32:39 +0800

apvlv (0.0.9.8-1ubuntu1) natty; urgency=low

  * Use 3.0 (quilt) source format for patches
  * Fix FTBFS with new libpoppler (0.14.1)
  * Update maintainer
  * Bump libpoppler-glib-dev version in build-depends

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 19 Feb 2011 21:35:36 +0800

apvlv (0.0.9.8-1) unstable; urgency=low

  [Lukas Gaertner]
  * Adopt package (Closes: #607320)

  [Stefan Ritter]
  * Add libdjvulibre-dev to build dependencies (Closes: #602010)
  * Bump Standards-Version to 3.9.1
  * Imported Upstream version 0.0.9.8

 -- Lukas Gaertner <lukas.gaertner@credativ.de>  Thu, 23 Dec 2010 15:28:02 +0100

apvlv (0.0.9.7-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.0
  * Update debian/desktop, thanks to the gentoo maintainer of apvlv
  * Fix debian/watch

 -- Stefan Ritter <xeno@thehappy.de>  Sun, 04 Jul 2010 22:39:00 +0200

apvlv (0.0.9.6-1) unstable; urgency=low

  * New upstream release
  * Add debian/source/format (source 1.0)

 -- Stefan Ritter <xeno@thehappy.de>  Tue, 20 Apr 2010 13:53:00 +0200

apvlv (0.0.9.5-1) unstable; urgency=low

  * New upstream release (Closes: #576081, #576082)

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 07 Apr 2010 11:13:08 +0200

apvlv (0.0.9.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.8.4, no changes needed

 -- Stefan Ritter <xeno@thehappy.de>  Thu, 04 Feb 2010 15:11:57 +0200

apvlv (0.0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #558893)

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 20 Jan 2010 13:54:00 +0200

apvlv (0.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #562495)
    Thanks to Daniel Friesel for the manpage

 -- Stefan Ritter <xeno@thehappy.de>  Thu, 07 Jan 2010 09:17:00 +0200

apvlv (0.0.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #558833, #558894)

 -- Stefan Ritter <xeno@thehappy.de>  Fri, 11 Dec 2009 12:50:00 +0200

apvlv (0.0.8.0-1) unstable; urgency=low

  * New upstream release
  * Removed patchsystem and using a debhelper 5 compatible rules file
  * Removed encoding from desktop file since it is deprecated by the 
    FreeDesktop standard
  * Removed apvlvrc.example from /usr/share/doc/apvlv/ since it is in
    /etc/apvlvrc

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 09 Dec 2009 16:28:00 +0200

apvlv (0.0.7.5-1) unstable; urgency=low

  * New upstream release
  * Switched from dpatch to quilt

 -- Stefan Ritter <xeno@thehappy.de>  Thu, 19 Nov 2009 23:56:43 +0200

apvlv (0.0.7.4-1) unstable; urgency=low

  * New upstream release
  * Removed debian/conffiles

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 07 Oct 2009 20:11:00 +0200

apvlv (0.0.7.3-1) unstable; urgency=low

  * New upstream release
  * Added apvlvrc to conffiles

 -- Stefan Ritter <xeno@thehappy.de>  Sun, 19 Sep 2009 19:31:00 +0200

apvlv (0.0.7.2-1) unstable; urgency=low

  * New upstream release
  * Improved the long description
  * Added patch that fixes a makefile path problem
    (02-fix-path-in-makefile.dpatch)

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 09 Sep 2009 13:13:13 +0200

apvlv (0.0.6.11-1) unstable; urgency=low

  * New upstream release (Closes: #542231)
  * Added README.source
  * Improved the long description
  * Bumped Standards-Version to 3.8.3, no changes needed

 -- Stefan Ritter <xeno@thehappy.de>  Sun, 30 Aug 2009 19:29:02 +0200

apvlv (0.0.6.10-1) unstable; urgency=low

  * New upstream release

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 29 Jul 2009 10:12:19 +0200

apvlv (0.0.6.8-1) unstable; urgency=low

  * Initial release (Closes: #537230)

 -- Stefan Ritter <xeno@thehappy.de>  Wed, 15 Jul 2009 14:48:33 +0200

=== debian/control ===
Source: apvlv
Section: text
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lukas Gaertner <lukas.gaertner@credativ.de>
Homepage: http://code.google.com/p/apvlv/
Build-Depends: debhelper (>= 7), libgtk2.0-dev (>= 2.6.0), libpoppler-glib-dev (>= 0.14.1), libdjvulibre-dev
Standards-Version: 3.9.1

Package: apvlv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PDF viewer with Vim-like behaviour
 apvlv (Alf's PDF Viewer Like Vim) is a small and fast PDF viewer, that uses
 poppler for rendering. Its interface aims to users who like vim behaviour.
 For example opening a PDF file can be done with ':o filename'. apvlv can also
 work with tabs, so you can open multiple files at the same time in one
 program.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	./configure --with-mandir=/usr/share/man --with-sysconfdir=/etc --with-docdir=/usr/share/doc/apvlv --with-djvu
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Binary
	install -m 0755 src/apvlv debian/apvlv/usr/bin/
	# Icons
	install -m 0644 icons/* debian/apvlv/usr/share/pixmaps/apvlv/
	install -m 0644 debian/apvlv.xpm debian/apvlv/usr/share/pixmaps/apvlv/
	# Desktop
	install -m 0644 debian/desktop debian/apvlv/usr/share/applications/apvlv.desktop
	# Config
	install -m 0644 apvlvrc.example debian/apvlv/etc/apvlvrc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmime
	dh_installman
	dh_strip
	dh_compress -XStartup.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version = 3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://apvlv.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/apvlv/downloads/detail[?]name=apvlv-([0-9.]+).tar.gz&.*

## apvlv 0.1.5%2Bdfsg

=== debian/changelog ===
apvlv (0.1.5+dfsg-3ubuntu1) focal; urgency=medium

  * Fix FTBFS against Poppler 0.73+ by removing include.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 23 Feb 2020 22:45:59 -0500

apvlv (0.1.5+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-7. (Closes: #853317)
  * dh 10.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 30 Aug 2017 00:54:50 +0200

apvlv (0.1.5+dfsg-2) unstable; urgency=low

  * QA upload.
  * Disable APVLV_WITH_HTML to remove the dependency on the
    deprecated libwebkitgtk-3.0-0. (Closes: #866628)

 -- Adrian Bunk <bunk@debian.org>  Sun, 16 Jul 2017 20:26:05 +0300

apvlv (0.1.5+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA team (see #798945).
  * New upstream release.  (Closes: #662806)
    - New build dependency: libpoppler-private-dev
    - Build dependency change libgtk2.0-dev -> libgtk-3-dev
    - Drop d/copyright paragraph for autoconf files that are no longer present.
    - Drop obsolete d/desktop.
      Upstream now provides a desktop file.
  * Enable build flags to view HTML and text files.
    - New build dependency: libwebkitgtk-3.0-dev
  * Modernise d/rules:
    - Use dh sequencer
    - Use --parallel
    - Add d/install
    - Append to d/dirs
    - Bump debhelper compat & dependency to 9
    - Enable all hardening
  * Convert d/copyright to DEP-5.
    - Correct upstream license GPL-2 -> GPL-2+.
      See the headers of the source files.
    - Add paragraph for icons, using the copyright file of src:gnome-icon-theme.
  * Update homepage, d/copyright & d/watch for upstream's move to GitHub
    (Closes: #651635, #738772).
    Thanks to Andreas Moog and Matanya Moses for reporting this.
  * Update upstream author's e-mail address in d/copyright.
  * Add myself to copyright paragraph for debian/ subdir.
  * Add gbp.conf to filter 15M of library source code and DLLs without
    source code that are needed only for the Windows build of apvlv.
    - Add Debian version mangle to d/watch.
  * Bump standards version to 3.9.8.
    - Drop obsolete d/menu.
  * Add upstream metadata file.
  * Add doc-base registration for Startup.pdf.
  * Switch to source format 3.0 (quilt).
  * Add 0001-manpage-spelling.patch
  * Add 0002-desktop-file-keywords.patch
  * Add 0003-add-Icon-to-desktop-file.patch
  * Add 0004-debian-paths.patch
  * Add 0005-fix-build-with-GCC-6.patch (Closes: #811839)
  * Add 0006-restore-Debian-CXXFLAGS.patch
  * Add Vcs-* fields.
  * Run wrap-and-sort -abst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jun 2016 13:28:54 +0900

apvlv (0.1.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for poppler >= 0.18. (Closes: #651851)

 -- Pino Toscano <pino@debian.org>  Tue, 20 Mar 2012 23:11:31 +0100

apvlv (0.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for poppler >= 0.15. Patch by Pino Toscano. (Closes: #627609)

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Jun 2011 22:18:49 +0200

apvlv (0.1.1-1) unstable; urgency=low

  * Suggest poppler-data
  * Change CMAKE_INSTALL_PREFIX to "/usr"
  * Add cmake to build dependencies
  * Imported Upstream version 0.1.1 (Closes: #558893)
  * Fix debian/watch

 -- Lukas Gaertner <lukas.gaertner@credativ.de>  Mon, 14 Feb 2011 16:29:02 +0100

=== debian/control ===
Source: apvlv
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://naihe2010.github.io/apvlv/
Build-Depends:
 cmake (>= 2.6),
 debhelper (>= 10),
 libdjvulibre-dev,
 libgtk-3-dev,
 libpoppler-glib-dev (>= 0.5.0),
 libpoppler-private-dev,
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/apvlv.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apvlv.git

Package: apvlv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 poppler-data (>= 0.2.0-2),
Description: PDF viewer with Vim-like behaviour
 apvlv (Alf's PDF Viewer Like Vim) is a small and fast PDF viewer, that uses
 poppler for rendering. Its interface aims to users who like vim behaviour.
 For example opening a PDF file can be done with ':o filename'. apvlv can also
 work with tabs, so you can open multiple files at the same time in one
 program.

## apvlv 0.1.5+dfsg

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6)

PROJECT (apvlv)

SET (PROJECT_MAJOR      "0")
SET (PROJECT_MINOR      "1")
SET (PROJECT_PATCH      "5")
FIND_PACKAGE (Git)
IF (GIT_FOUND)
  EXEC_PROGRAM (${GIT_EXECUTABLE}
    ${CMAKE_SOURCE_DIR}
    ARGS "log -1 --format='%h'"
    OUTPUT_VARIABLE VERSION_HASH
    RETURN_VALUE RETURN)

  IF (RETURN EQUAL 0)
    MESSAGE (STATUS "Configure git: ${VERSION_HASH}")
    SET (PROJECT_PATCH ${VERSION_HASH})
  ENDIF (RETURN EQUAL 0)
ENDIF (GIT_FOUND)

SET (PACKAGE_VERSION "${PROJECT_MAJOR}.${PROJECT_MINOR}.${PROJECT_PATCH}")

IF (WIN32)
  ADD_DEFINITIONS (-DDOCDIR=".")
ELSE (WIN32)
  SET (SYSCONFDIR
    "/etc"
    CACHE PATH
    "Directory for system configuration of apvlv [/etc]"
    )
  ADD_DEFINITIONS (-DSYSCONFDIR="${SYSCONFDIR}")

  SET (DOCDIR
    "${CMAKE_INSTALL_PREFIX}/share/doc/apvlv"
    CACHE PATH
    "Directory for documentations of apvlv [PREFIX/share/doc/apvlv]"
    )
  ADD_DEFINITIONS (-DDOCDIR="${DOCDIR}")

  SET (MANDIR
    "${CMAKE_INSTALL_PREFIX}/share/man"
    CACHE PATH
    "Directory for man page of apvlv [PREFIX/share/man]"
    )

  SET (APPLICATIONSDIR
    "${CMAKE_INSTALL_PREFIX}/share/applications"
    CACHE PATH
    "Directory for desktop file of apvlv [PREFIX/share/applications]"
    )
ENDIF (WIN32)

ADD_DEFINITIONS (-DPACKAGE_NAME="apvlv"
  -DPACKAGE_VERSION="${PACKAGE_VERSION}"
  -DPACKAGE_BUGREPORT="Alf <naihe2010@126.com>"
  -DRELEASE="rel"
  )

ADD_SUBDIRECTORY (src)

IF (WIN32)
  INSTALL (FILES apvlvrc.example DESTINATION "."
    RENAME _apvlvrc)
  INSTALL (FILES apvlvrc.example Startup.pdf main_menubar.glade DESTINATION ".")
  INSTALL (DIRECTORY icons DESTINATION ".")
  INSTALL (DIRECTORY ${CMAKE_HOME_DIRECTORY}/win32/poppler-data DESTINATION ".")
ELSE (WIN32)
  INSTALL (FILES apvlvrc.example DESTINATION ${SYSCONFDIR}
    RENAME apvlvrc)
  INSTALL (FILES apvlvrc.example Startup.pdf Startup.tex main_menubar.glade DESTINATION ${DOCDIR})
  INSTALL (DIRECTORY icons DESTINATION ${DOCDIR})
  INSTALL (FILES apvlv.1 DESTINATION ${MANDIR}/man1)
  INSTALL (FILES apvlv.desktop DESTINATION ${APPLICATIONSDIR})
ENDIF (WIN32)

SET (CPACK_PACKAGE_VENDOR "Alf")
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "apvlv - Alf's PDF/DJVU/UMD Viewer like Vim")
SET (CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_MAJOR})
SET (CPACK_PACKAGE_VERSION_MINOR ${PROJECT_MINOR})
SET (CPACK_PACKAGE_VERSION_PATCH ${PROJECT_PATCH})

IF (UNIX)
  SET (CPACK_SET_DESTDIR ON)
  SET (CPACK_PACKAGE_CONTACT "Alf <naihe2010@126.com>")
  SET (CPACK_GENERATOR RPM DEB)
  SET (CPACK_RPM_PACKAGE_REQUIRES "gtk2")
  SET (CPACK_DEBIAN_PACKAGE_DEPENDS
    "libpoppler-glib3 (>= 0.8.7-4), poppler-data (>= 0.2.0-2)")

  SET (CPACK_SOURCE_GENERATOR TGZ)
  SET (CPACK_SOURCE_IGNORE_FILES
    ${CMAKE_BINARY_DIR}
    ".git"
    ".gitignore"
    "win32"
    "~$"
    )
ELSE (UNIX)
  SET (CPACK_GENERATOR NSIS)
  SET (CPACK_NSIS_CONTACT "Alf <naihe2010@126.com>")
  SET (CPACK_NSIS_EXTRA_INSTALL_COMMANDS "CreateShortCut '\$DESKTOP\\\\apvlv.lnk' '\$INSTDIR\\\\apvlv.exe'")
  SET (CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "Delete '\$DESKTOP\\\\gsftc.lnk'")
ENDIF (UNIX)

INCLUDE(CPack)

=== src/CMakeLists.txt ===
IF (WIN32)
  ADD_DEFINITIONS (-D_CRT_SECURE_NO_WARNINGS)
ELSE (WIN32)
  SET (CMAKE_CXX_FLAGS "-Wall -fno-strict-aliasing")

  OPTION (APVLV_ENABLE_DEBUG "If build binary with debug infomations." OFF)
  IF (APVLV_ENABLE_DEBUG)
    SET (CMAKE_CXX_FLAGS "-D_DEBUG -g ${CMAKE_CXX_FLAGS}")
  ELSE (APVLV_ENABLE_DEBUG)
    SET (CMAKE_CXX_FLAGS "-O2 ${CMAKE_CXX_FLAGS}")
  ENDIF (APVLV_ENABLE_DEBUG)
ENDIF (WIN32)

FIND_PACKAGE (PkgConfig)

PKG_CHECK_MODULES (FREETYPE2 freetype2 REQUIRED)
IF (WIN32)
  PKG_CHECK_MODULES (GTK gtk+-2.0 REQUIRED)
ELSE (WIN32)
  PKG_CHECK_MODULES (GTK gtk+-3.0)
  IF (NOT GTK_INCLUDE_DIRS)
    PKG_CHECK_MODULES (GTK gtk+-2.0)
  ENDIF (NOT GTK_INCLUDE_DIRS)
ENDIF (WIN32)
PKG_CHECK_MODULES (GLIB2 glib-2.0 REQUIRED)
PKG_CHECK_MODULES (GTHREAD2 gthread-2.0 REQUIRED)
INCLUDE_DIRECTORIES (${FREETYPE2_INCLUDE_DIRS}
  ${GTK_INCLUDE_DIRS}
  ${GLIB2_INCLUDE_DIRS}
  ${GTHREAD2_INCLUDE_DIRS})
LINK_DIRECTORIES (${FREETYPE2_LIBRARY_DIRS}
  ${GTK_LIBRARY_DIRS}
  ${GLIB2_LIBRARY_DIRS}
  ${GTHREAD2_LIBRARY_DIRS})

IF (WIN32)
  SET (POPPLER_DIR ${CMAKE_HOME_DIRECTORY}/win32/poppler-src)

  INCLUDE_DIRECTORIES (${POPPLER_DIR})
  LINK_DIRECTORIES (${CMAKE_BINARY_DIR}/poppler-build)
  SET (APVLV_REQ_LIBRARIES poppler.lib freetype.lib)

  ADD_SUBDIRECTORY (${POPPLER_DIR} ${CMAKE_BINARY_DIR}/poppler-build)
ELSE (WIN32)
  PKG_CHECK_MODULES (POPPLER poppler-glib REQUIRED)
  INCLUDE_DIRECTORIES (${POPPLER_INCLUDE_DIRS})
  LINK_DIRECTORIES (${POPPLER_LIBRARY_DIRS})
  SET (APVLV_REQ_LIBRARIES ${POPPLER_LIBRARIES})
ENDIF (WIN32)

SET (HEADERS
  ApvlvCmds.h
  ApvlvCore.h
  ApvlvDir.h
  ApvlvDoc.h
  ApvlvFile.h
  ApvlvPdf.h
  ApvlvInfo.h
  ApvlvMenu.h
  ApvlvParams.h
  ApvlvUtil.h
  ApvlvView.h
  ApvlvWindow.h
  ApvlvCompletion.h
  )

SET (SOURCES
  ApvlvCmds.cc
  ApvlvCore.cc
  ApvlvDir.cc
  ApvlvDoc.cc
  ApvlvFile.cc
  ApvlvPdf.cc
  ApvlvInfo.cc
  ApvlvMenu.cc
  ApvlvParams.cc
  ApvlvUtil.cc
  ApvlvView.cc
  ApvlvWindow.cc
  ApvlvCompletion.cc
  main.cc
  )

OPTION (APVLV_WITH_DJVU "If build apvlv with djvu format support." OFF)
IF (APVLV_WITH_DJVU)
  ADD_DEFINITIONS (-DAPVLV_WITH_DJVU)

  IF (WIN32)
    SET (DJVULIBRE_DIR ${CMAKE_HOME_DIRECTORY}/win32/djvulibre)

    INCLUDE_DIRECTORIES (${DJVULIBRE_DIR}/include)
    LINK_DIRECTORIES (${DJVULIBRE_DIR})
    SET (APVLV_REQ_LIBRARIES libdjvulibre.lib
      ${APVLV_REQ_LIBRARIES})
  ELSE (WIN32)
    SET (APVLV_REQ_LIBRARIES -ldjvulibre
      ${APVLV_REQ_LIBRARIES})
  ENDIF (WIN32)

  SET (HEADERS ${HEADERS} ApvlvDjvu.h)
  SET (SOURCES ${SOURCES} ApvlvDjvu.cc)
ENDIF (APVLV_WITH_DJVU)

OPTION (APVLV_WITH_UMD "If build binary with umd format support." OFF)
IF (APVLV_WITH_UMD)
  ADD_DEFINITIONS (-DAPVLV_WITH_UMD)

  IF (WIN32)
    SET (LIBUMD_DIR ${CMAKE_HOME_DIRECTORY}/win32/libumd-trunk)
    ADD_SUBDIRECTORY (${LIBUMD_DIR} ${CMAKE_BINARY_DIR}/libumd-build)

    INCLUDE_DIRECTORIES (${LIBUMD_DIR})
    LINK_DIRECTORIES (${CMAKE_BINARY_DIR}/libumd-build)
    SET (APVLV_REQ_LIBRARIES umd.lib zdll.lib
      ${APVLV_REQ_LIBRARIES})
  ELSE (WIN32)
    SET (APVLV_REQ_LIBRARIES -lumd
      ${APVLV_REQ_LIBRARIES})
  ENDIF (WIN32)

  SET (HEADERS ${HEADERS} ApvlvUmd.h)
  SET (SOURCES ${SOURCES} ApvlvUmd.cc)
ENDIF (APVLV_WITH_UMD)

OPTION (APVLV_WITH_TXT "If build binary with txt format support." OFF)
IF (APVLV_WITH_TXT)
  ADD_DEFINITIONS (-DAPVLV_WITH_TXT)

  SET (HEADERS ${HEADERS} ApvlvTxt.h)
  SET (SOURCES ${SOURCES} ApvlvTxt.cc)
ENDIF (APVLV_WITH_TXT)

OPTION (APVLV_WITH_HTML "If build binary with html format support." OFF)
IF (APVLV_WITH_HTML)
  ADD_DEFINITIONS (-DAPVLV_WITH_HTML)

  SET (HEADERS ${HEADERS} ApvlvHtm.h)
  SET (SOURCES ${SOURCES} ApvlvHtm.cc)

  PKG_CHECK_MODULES (WEBKIT webkitgtk-3.0 REQUIRED)
  INCLUDE_DIRECTORIES (${WEBKIT_INCLUDE_DIRS})
  LINK_DIRECTORIES (${WEBKIT_LIBARY_DIRS})
  SET (APVLV_REQ_LIBRARIES -l${WEBKIT_LIBRARIES}
    ${APVLV_REQ_LIBRARIES})
ENDIF (APVLV_WITH_HTML)

ADD_EXECUTABLE (apvlv ${HEADERS} ${SOURCES})

TARGET_LINK_LIBRARIES (apvlv
  ${GTK_LIBRARIES}
  ${GLIB2_LIBRARIES}
  ${GTHREAD2_LIBRARIES}
  ${WEBKIT_LIBRARIES}
  ${APVLV_REQ_LIBRARIES})

IF (WIN32)
  ADD_DEPENDENCIES (apvlv poppler)
  IF (APVLV_WITH_UMD)
    ADD_DEPENDENCIES (apvlv umd)
  ENDIF (APVLV_WITH_UMD)
ENDIF (WIN32)

IF (WIN32)
  INSTALL (TARGETS apvlv DESTINATION .)
  FIND_FILE (LIBATK libatk-1.0-0.dll)
  FIND_FILE (LIBEXPAT1 libexpat-1.dll)
  FIND_FILE (LIBFONTCONFIG1 libfontconfig-1.dll)
  FIND_FILE (LIBGIO libgio-2.0-0.dll)
  FIND_FILE (LIBCAIRO libcairo-2.dll)
  FIND_FILE (LIBPANGOCAIRO libpangocairo-1.0-0.dll)
  FIND_FILE (LIBPANGOFT2 libpangoft2-1.0-0.dll)
  FIND_FILE (LIBGDKPIXBUF libgdk_pixbuf-2.0-0.dll)
  FIND_FILE (LIBGDK libgdk-win32-2.0-0.dll)
  FIND_FILE (LIBGLIB libglib-2.0-0.dll)
  FIND_FILE (LIBGMODULE libgmodule-2.0-0.dll)
  FIND_FILE (LIBPANGO libpango-1.0-0.dll)
  FIND_FILE (LIBGTHREAD libgthread-2.0-0.dll)
  FIND_FILE (LIBPNG libpng14-14.dll)
  FIND_FILE (LIBGTK libgtk-win32-2.0-0.dll)
  FIND_FILE (LIBGOBJECT libgobject-2.0-0.dll)
  FIND_FILE (LIBPANGOWIN32 libpangowin32-1.0-0.dll)
  FIND_FILE (LIBZLIB1 zlib1.dll)
  FIND_FILE (FREETYPE6 freetype6.dll)
  INSTALL (FILES
    ${LIBATK}
    ${LIBEXPAT1}
    ${LIBFONTCONFIG1}
    ${LIBGIO}
    ${LIBCAIRO}
    ${LIBPANGOCAIRO}
    ${LIBGDKPIXBUF}
    ${LIBGDK}
    ${LIBGLIB}
    ${LIBGMODULE}
    ${LIBPANGO}
    ${LIBGTHREAD}
    ${LIBPNG}
    ${LIBGTK}
    ${LIBGOBJECT}
    ${LIBPANGOFT2}
    ${LIBPANGOWIN32}
    ${LIBZLIB1}
    ${FREETYPE6}
    DESTINATION .)
  IF (APVLV_WITH_DJVU)
    INSTALL (FILES
      ${DJVULIBRE_DIR}/libdjvulibre.dll
      ${DJVULIBRE_DIR}/libjpeg.dll
      DESTINATION .)
  ENDIF (APVLV_WITH_DJVU)
ELSE (WIN32)
  INSTALL (TARGETS apvlv DESTINATION bin)
ENDIF (WIN32)

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apvlv
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://naihe2010.github.io/apvlv/
 Build-Depends:
  cmake (>= 2.6),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DAPVLV_WITH_UMD=OFF \
		-DAPVLV_WITH_TXT=ON

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress -XStartup.pdf

# cmake is a nice way to install this package's files, but it gets a
# few things wrong.  We run dh_auto_install and then tidy up.  Also
# see the d/install file.
override_dh_auto_install:
	dh_auto_install
	rm debian/apvlv/usr/share/doc/apvlv/Startup.tex
	mv debian/apvlv/usr/share/doc/apvlv/apvlvrc.example \
		debian/apvlv/usr/share/doc/apvlv/examples/
	mv debian/apvlv/usr/share/doc/apvlv/main_menubar.glade \
		debian/apvlv/usr/lib/apvlv/
	rm -r debian/apvlv/usr/share/doc/apvlv/icons/

=== debian/watch ===
version=4
opts=mode=git,dversionmangle=s/\+dfsg\d*$// \
https://github.com/naihe2010/apvlv refs/tags/v([\d\.\d\.]+) debian

## apvlv 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 PROJECT (apvlv)
 
 SET (PROJECT_MAJOR      "0")
-SET (PROJECT_MINOR      "1")
-SET (PROJECT_PATCH      "5")
+SET (PROJECT_MINOR      "2")
+SET (PROJECT_PATCH      "0")
 FIND_PACKAGE (Git)
 IF (GIT_FOUND)
   EXEC_PROGRAM (${GIT_EXECUTABLE}
@@ -37,6 +37,20 @@
     "Directory for documentations of apvlv [PREFIX/share/doc/apvlv]"
     )
   ADD_DEFINITIONS (-DDOCDIR="${DOCDIR}")
+
+  SET (LIBDIR
+    "${CMAKE_INSTALL_PREFIX}/lib/apvlv"
+    CACHE PATH
+    "Directory for lib of apvlv [PREFIX/lib/apvlv]"
+    )
+  ADD_DEFINITIONS (-DLIBDIR="${LIBDIR}")
+
+  SET (PIXMAPDIR
+    "${CMAKE_INSTALL_PREFIX}/share/pixmaps/apvlv"
+    CACHE PATH
+    "Directory for pixmaps of apvlv [PREFIX/share/pixmaps/apvlv]"
+    )
+  ADD_DEFINITIONS (-DPIXMAPDIR="${PIXMAPDIR}")
 
   SET (MANDIR
     "${CMAKE_INSTALL_PREFIX}/share/man"
@@ -75,7 +89,7 @@
 ENDIF (WIN32)
 
 SET (CPACK_PACKAGE_VENDOR "Alf")
-SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "apvlv - Alf's PDF/DJVU/UMD Viewer like Vim")
+SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "apvlv - Alf's PDF/DJVU/EPUB Viewer like Vim")
 SET (CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_MAJOR})
 SET (CPACK_PACKAGE_VERSION_MINOR ${PROJECT_MINOR})
 SET (CPACK_PACKAGE_VERSION_PATCH ${PROJECT_PATCH})
@@ -83,10 +97,10 @@
 IF (UNIX)
   SET (CPACK_SET_DESTDIR ON)
   SET (CPACK_PACKAGE_CONTACT "Alf <naihe2010@126.com>")
-  SET (CPACK_GENERATOR RPM DEB)
+  SET (CPACK_GENERATOR DEB)
   SET (CPACK_RPM_PACKAGE_REQUIRES "gtk2")
   SET (CPACK_DEBIAN_PACKAGE_DEPENDS
-    "libpoppler-glib3 (>= 0.8.7-4), poppler-data (>= 0.2.0-2)")
+    "libpoppler-glib8 (>= 0.8.7-4), poppler-data (>= 0.2.0-2)")
 
   SET (CPACK_SOURCE_GENERATOR TGZ)
   SET (CPACK_SOURCE_IGNORE_FILES

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,14 +23,17 @@
   ENDIF (NOT GTK_INCLUDE_DIRS)
 ENDIF (WIN32)
 PKG_CHECK_MODULES (GLIB2 glib-2.0 REQUIRED)
-PKG_CHECK_MODULES (GTHREAD2 gthread-2.0 REQUIRED)
+# PKG_CHECK_MODULES (GTHREAD2 gthread-2.0 REQUIRED)
+PKG_CHECK_MODULES (WEBKIT webkit2gtk-4.0 REQUIRED)
 INCLUDE_DIRECTORIES (${FREETYPE2_INCLUDE_DIRS}
   ${GTK_INCLUDE_DIRS}
   ${GLIB2_INCLUDE_DIRS}
+  ${WEBKIT_INCLUDE_DIRS}
   ${GTHREAD2_INCLUDE_DIRS})
 LINK_DIRECTORIES (${FREETYPE2_LIBRARY_DIRS}
   ${GTK_LIBRARY_DIRS}
   ${GLIB2_LIBRARY_DIRS}
+  ${WEBKIT_LIBRARY_DIRS}
   ${GTHREAD2_LIBRARY_DIRS})
 
 IF (WIN32)
@@ -62,6 +65,8 @@
   ApvlvView.h
   ApvlvWindow.h
   ApvlvCompletion.h
+  ApvlvHtm.h
+  ApvlvEpub.h
   )
 
 SET (SOURCES
@@ -78,6 +83,8 @@
   ApvlvView.cc
   ApvlvWindow.cc
   ApvlvCompletion.cc
+  ApvlvHtm.cc
+  ApvlvEpub.cc
   main.cc
   )
 
@@ -101,27 +108,6 @@
   SET (SOURCES ${SOURCES} ApvlvDjvu.cc)
 ENDIF (APVLV_WITH_DJVU)
 
-OPTION (APVLV_WITH_UMD "If build binary with umd format support." OFF)
-IF (APVLV_WITH_UMD)
-  ADD_DEFINITIONS (-DAPVLV_WITH_UMD)
-
-  IF (WIN32)
-    SET (LIBUMD_DIR ${CMAKE_HOME_DIRECTORY}/win32/libumd-trunk)
-    ADD_SUBDIRECTORY (${LIBUMD_DIR} ${CMAKE_BINARY_DIR}/libumd-build)
-
-    INCLUDE_DIRECTORIES (${LIBUMD_DIR})
-    LINK_DIRECTORIES (${CMAKE_BINARY_DIR}/libumd-build)
-    SET (APVLV_REQ_LIBRARIES umd.lib zdll.lib
-      ${APVLV_REQ_LIBRARIES})
-  ELSE (WIN32)
-    SET (APVLV_REQ_LIBRARIES -lumd
-      ${APVLV_REQ_LIBRARIES})
-  ENDIF (WIN32)
-
-  SET (HEADERS ${HEADERS} ApvlvUmd.h)
-  SET (SOURCES ${SOURCES} ApvlvUmd.cc)
-ENDIF (APVLV_WITH_UMD)
-
 OPTION (APVLV_WITH_TXT "If build binary with txt format support." OFF)
 IF (APVLV_WITH_TXT)
   ADD_DEFINITIONS (-DAPVLV_WITH_TXT)
@@ -130,20 +116,6 @@
   SET (SOURCES ${SOURCES} ApvlvTxt.cc)
 ENDIF (APVLV_WITH_TXT)
 
-OPTION (APVLV_WITH_HTML "If build binary with html format support." OFF)
-IF (APVLV_WITH_HTML)
-  ADD_DEFINITIONS (-DAPVLV_WITH_HTML)
-
-  SET (HEADERS ${HEADERS} ApvlvHtm.h)
-  SET (SOURCES ${SOURCES} ApvlvHtm.cc)
-
-  PKG_CHECK_MODULES (WEBKIT webkitgtk-3.0 REQUIRED)
-  INCLUDE_DIRECTORIES (${WEBKIT_INCLUDE_DIRS})
-  LINK_DIRECTORIES (${WEBKIT_LIBARY_DIRS})
-  SET (APVLV_REQ_LIBRARIES -l${WEBKIT_LIBRARIES}
-    ${APVLV_REQ_LIBRARIES})
-ENDIF (APVLV_WITH_HTML)
-
 ADD_EXECUTABLE (apvlv ${HEADERS} ${SOURCES})
 
 TARGET_LINK_LIBRARIES (apvlv
@@ -151,13 +123,12 @@
   ${GLIB2_LIBRARIES}
   ${GTHREAD2_LIBRARIES}
   ${WEBKIT_LIBRARIES}
+  "-lepub"
+  "-lxml2"
   ${APVLV_REQ_LIBRARIES})
 
 IF (WIN32)
   ADD_DEPENDENCIES (apvlv poppler)
-  IF (APVLV_WITH_UMD)
-    ADD_DEPENDENCIES (apvlv umd)
-  ENDIF (APVLV_WITH_UMD)
 ENDIF (WIN32)
 
 IF (WIN32)

=== debian/changelog ===
apvlv (0.2.0-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
    + Use Debian GitLab for Vcs-* fields.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Apr 2021 10:31:23 -0400

apvlv (0.2.0-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes building with latest poppler. (Closes: #971102)

 -- Adrian Bunk <bunk@debian.org>  Mon, 26 Oct 2020 13:39:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: text
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Homepage: http://naihe2010.github.io/apvlv/
 Build-Depends:
  cmake (>= 2.6),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libdjvulibre-dev,
  libgtk-3-dev,
  libpoppler-glib-dev (>= 0.5.0),
  libpoppler-private-dev,
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/apvlv.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apvlv.git
+ libxml2-dev,
+ libwebkit2gtk-4.0-dev,
+ libepub-dev,
+Standards-Version: 4.5.1
+Homepage: http://naihe2010.github.io/apvlv/
+Vcs-Git: https://salsa.debian.org/debian/apvlv.git
+Vcs-Browser: https://salsa.debian.org/debian/apvlv
 
 Package: apvlv
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -19,8 +19,7 @@
 # cmake is a nice way to install this package's files, but it gets a
 # few things wrong.  We run dh_auto_install and then tidy up.  Also
 # see the d/install file.
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm debian/apvlv/usr/share/doc/apvlv/Startup.tex
 	mv debian/apvlv/usr/share/doc/apvlv/apvlvrc.example \
 		debian/apvlv/usr/share/doc/apvlv/examples/

## apvlv 0.4.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_EXPORT_COMPILE_COMMANDS 1)

PROJECT(apvlv)

SET(PROJECT_MAJOR "0")
SET(PROJECT_MINOR "4")
SET(PROJECT_PATCH "0")
FIND_PACKAGE(Git)
IF (GIT_FOUND)
    EXEC_PROGRAM(${GIT_EXECUTABLE}
            ${CMAKE_SOURCE_DIR}
            ARGS "log -1 --format='%h'"
            OUTPUT_VARIABLE VERSION_HASH
            RETURN_VALUE RETURN)

    IF (RETURN EQUAL 0)
        MESSAGE(STATUS "Configure git: ${VERSION_HASH}")
        SET(PROJECT_PATCH ${VERSION_HASH})
    ENDIF (RETURN EQUAL 0)
ENDIF (GIT_FOUND)

SET(PACKAGE_VERSION "${PROJECT_MAJOR}.${PROJECT_MINOR}.${PROJECT_PATCH}")

IF (WIN32)
    ADD_DEFINITIONS(-DDOCDIR=".")
ELSE (WIN32)
    SET(SYSCONFDIR
            "/etc"
            CACHE PATH
            "Directory for system configuration of apvlv [/etc]"
            )
    ADD_DEFINITIONS(-DSYSCONFDIR="${SYSCONFDIR}")

    SET(DOCDIR
            "${CMAKE_INSTALL_PREFIX}/share/doc/apvlv"
            CACHE PATH
            "Directory for documentations of apvlv [PREFIX/share/doc/apvlv]"
            )
    ADD_DEFINITIONS(-DDOCDIR="${DOCDIR}")

    SET(LIBDIR
            "${CMAKE_INSTALL_PREFIX}/lib/apvlv"
            CACHE PATH
            "Directory for lib of apvlv [PREFIX/lib/apvlv]"
            )
    ADD_DEFINITIONS(-DLIBDIR="${LIBDIR}")

    SET(PIXMAPDIR
            "${CMAKE_INSTALL_PREFIX}/share/pixmaps/apvlv"
            CACHE PATH
            "Directory for pixmaps of apvlv [PREFIX/share/pixmaps/apvlv]"
            )
    ADD_DEFINITIONS(-DPIXMAPDIR="${PIXMAPDIR}")

    SET(MANDIR
            "${CMAKE_INSTALL_PREFIX}/share/man"
            CACHE PATH
            "Directory for man page of apvlv [PREFIX/share/man]"
            )

    SET(APPLICATIONSDIR
            "${CMAKE_INSTALL_PREFIX}/share/applications"
            CACHE PATH
            "Directory for desktop file of apvlv [PREFIX/share/applications]"
            )
ENDIF (WIN32)

ADD_DEFINITIONS(-DPACKAGE_NAME="apvlv"
        -DPACKAGE_VERSION="${PACKAGE_VERSION}"
        -DPACKAGE_BUGREPORT="Alf <naihe2010@126.com>"
        -DRELEASE="rel"
        )

ADD_SUBDIRECTORY(src)

IF (WIN32)
    INSTALL(FILES apvlvrc.example DESTINATION "."
            RENAME _apvlvrc)
    INSTALL(FILES apvlvrc.example Startup.pdf main_menubar.glade DESTINATION ".")
    INSTALL(DIRECTORY icons DESTINATION ".")
    INSTALL(DIRECTORY ${CMAKE_HOME_DIRECTORY}/win32/poppler-data DESTINATION ".")
ELSE (WIN32)
    ADD_CUSTOM_TARGET(Startup.pdf
            ALL
            COMMAND "man" "-t" "apvlv.1" "|" "ps2pdf" "-" "${CMAKE_SOURCE_DIR}/Startup.pdf"
            DEPENDS apvlv.1)
    INSTALL(FILES apvlvrc.example DESTINATION ${SYSCONFDIR}
            RENAME apvlvrc)
    INSTALL(FILES apvlvrc.example Startup.pdf main_menubar.glade DESTINATION ${DOCDIR})
    INSTALL(DIRECTORY icons DESTINATION ${DOCDIR})
    INSTALL(FILES apvlv.1 DESTINATION ${MANDIR}/man1)
    INSTALL(FILES apvlv.desktop DESTINATION ${APPLICATIONSDIR})
ENDIF (WIN32)

SET(CPACK_PACKAGE_VENDOR "Alf")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "apvlv - Alf's PDF/DJVU/EPUB Viewer like Vim")
SET(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_PATCH})

IF (UNIX)
    SET(CPACK_SET_DESTDIR ON)
    SET(CPACK_PACKAGE_CONTACT "Alf <naihe2010@126.com>")
    SET(CPACK_GENERATOR DEB)
    SET(CPACK_DEBIAN_PACKAGE_DEPENDS
            "libpoppler-glib8 (>= 0.8.7-4), poppler-data (>= 0.2.0-2)")
    IF (EXISTS "/etc/redhat-release")
        SET(CPACK_GENERATOR RPM)
        SET(CPACK_RPM_PACKAGE_REQUIRES "gtk3")
    ENDIF ()
    SET(CPACK_SOURCE_GENERATOR TGZ)
    SET(CPACK_SOURCE_IGNORE_FILES
            ${CMAKE_BINARY_DIR}
            ".git"
            ".gitignore"
            "win32"
            "~$"
            )
ELSE (UNIX)
    SET(CPACK_GENERATOR NSIS)
    SET(CPACK_NSIS_CONTACT "Alf <naihe2010@126.com>")
    SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "CreateShortCut '\$DESKTOP\\\\apvlv.lnk' '\$INSTDIR\\\\apvlv.exe'")
    SET(CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "Delete '\$DESKTOP\\\\gsftc.lnk'")
ENDIF (UNIX)

INCLUDE(CPack)

=== debian/changelog ===
apvlv (0.4.0-2) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Oct 2021 17:40:45 -0400

apvlv (0.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Sep 2021 19:19:18 -0400

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- cmake (>= 2.6),
+ cmake (>= 3.1),
  debhelper-compat (= 13),
+ ghostscript,
  libdjvulibre-dev,
+ libepub-dev,
  libgtk-3-dev,
  libpoppler-glib-dev (>= 0.5.0),
  libpoppler-private-dev,
+ libwebkit2gtk-4.0-dev,
  libxml2-dev,
- libwebkit2gtk-4.0-dev,
- libepub-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://naihe2010.github.io/apvlv/
 Vcs-Git: https://salsa.debian.org/debian/apvlv.git
 Vcs-Browser: https://salsa.debian.org/debian/apvlv

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 # few things wrong.  We run dh_auto_install and then tidy up.  Also
 # see the d/install file.
 execute_after_dh_auto_install:
-	rm debian/apvlv/usr/share/doc/apvlv/Startup.tex
 	mv debian/apvlv/usr/share/doc/apvlv/apvlvrc.example \
 		debian/apvlv/usr/share/doc/apvlv/examples/
 	mv debian/apvlv/usr/share/doc/apvlv/main_menubar.glade \

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/\+dfsg\d*$//" \
https://github.com/naihe2010/apvlv refs/tags/v([\d\.\d\.]+) debian
